Get block
Get raw block data as a base64-encoded BoC.
API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v2/getBlock" \ -H "Content-Type: application/json" \ -d '{ "workchain": "string", "shard": "string", "seqno": "string" }'{ "ok": true, "result": { "@type": "blocks.blockData", "id": { "@type": "ton.blockIdExt", "workchain": 0, "shard": "string", "seqno": 0, "root_hash": "string", "file_hash": "string" }, "data": "string" }, "@extra": "string"}